Description

If I specify a data-defined setting for Size for the labeling feature, it appears that the selected field is used to literally affect that property.

For example, I have a SHP that has all city limits in Texas. One field is the city's population. The field varies from very few (probably

around 10) to well over a million. I cannot imagine a useful diagram that has font sizes varying from 10 points to over a million points.

Please instead allow the value to vary within a predefined scale. E.g., on the example of the city population, I'd rather the value vary

between, say, 10pt and 50pt font, so that the smallest city has a 10pt font and the largest city has a 50pt font. I'm OK if QGIS has an

automatic way of providing a meaningful, initial value for the bounds on size, but I'd like to be able to override these, too.

You might counterargue that I should create a separate field in my dataset to handle this value. That has two problems:

    1. I'd have to edit the SHP, which is cumbersome.

    2. Even if this was easier to edit, such as a PostGIS dataset, I'm still having to guess how everything should look before I can even see

it.

I've attached images to show how things look before and after using the city population for the size field.

Related issues:

Related to QGIS Application - Bug report # 5049: Data-defined labeling takes ... Closed 2012-02-18

History

#1 - 2012-02-18 02:26 PM - Aren Cambre

I should have named this ticket better since it's a feature request, not a bug.

If someone has authority to rename, new title should be Labeling's "Data defined settings" should vary within reasonable boundaries.

#2 - 2012-02-18 02:35 PM - Aren Cambre

Related: #5049

#3 - 2012-04-15 10:21 AM - Giovanni Manghi

- Target version set to Version 2.0.0

#4 - 2012-10-06 02:18 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2013-05-13 02:19 PM - Nyall Dawson

- Status changed from Open to Feedback
This might be closable now -- this can be achieved by using an expression for the definition and using the new "scale_linear" function.

#6 - 2013-05-13 02:28 PM - Larry Shaffer

The branch I'm working on to provide the expression-based data defined values should be ready in the next day or so. Support for this particular feature

request (label font size calculated via an expression) is already done.

#7 - 2013-05-29 01:44 PM - Larry Shaffer

- Status changed from Feedback to Resolved

Should be fixed with commit commit:45f374f4

Expressions can be used to provide solution to issue.

Reopen if necessary

#8 - 2014-02-13 12:31 PM - Jürgen Fischer

- Status changed from Resolved to Closed
